Bug 1371897

Summary: [RFE] Dialog field validation via automate method
Product: Red Hat CloudForms Management Engine Reporter: Fabien Dupont <fdupont>
Component: AutomateAssignee: John Hardy <jhardy>
Status: CLOSED WONTFIX QA Contact: Dmitry Misharov <dmisharo>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.6.0CC: dajohnso, dmisharo, greartes, hkataria, jhardy, mkanoor, mpovolny, obarenbo, tfitzger
Target Milestone: GAKeywords: FutureFeature
Target Release: cfme-future   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: automate:dialog
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-18 14:27:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Fabien Dupont 2016-08-31 11:58:36 UTC
Description of problem:
When creating a dialog field, one can specify a validation method. Currently only regex is supported. It would be great to call an automate method. An example: create a 'vm_name' field and check the name is available.

Version-Release number of selected component (if applicable): 5.6.1


How reproducible: Always


Steps to Reproduce:
1. Create a dialog field in a custom dialog
2.
3.

Actual results: One can only select regex as validation method


Expected results: One can select an automate method (instance)


Additional info:

Comment 3 Reartes Guillermo 2019-04-03 14:11:19 UTC
This can be accomplished by having a dynamic check-box 'validation' that reads X other dialog fields and performs the all validations in a single method. Such dynamic check-box will be 'required' and 'read-only'.

I am not sure this RFE is actually needed.

Comment 4 Fabien Dupont 2019-04-03 14:51:30 UTC
Well, it doesn't validate each field independently and it also adds a field to the dialog. Not very user-friendly in my opinion.